util.ui

## Class MultipleFieldReader

- java.lang.Object
- - java.io.Reader
  - - util.ui.MultipleFieldReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class MultipleFieldReader
      extends java.io.Reader

  Reads the values of multiple fields of a program.

  The clue is, that when the Reader doesn't reach a field, this field won't be requested from the program.

  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleFieldReader(Program program, ProgramFieldType[] infoFieldArr)` Creates a new instance of MultipleFieldReader.
    `MultipleFieldReader(Program program, ProgramFieldType[] infoFieldArr, java.lang.String fieldSeparator)` Creates a new instance of MultipleFieldReader.
    `MultipleFieldReader(Program program, ProgramFieldType[] infoFieldArr, java.lang.String[] fieldSeparatorArr)` Creates a new instance of MultipleFieldReader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `read()`
    `int` | `read(char[] cbuf, int off, int len)`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipleFieldReader

          public MultipleFieldReader(Program program,
                             ProgramFieldType[] infoFieldArr)

      Creates a new instance of MultipleFieldReader.
      Parameters:
        `program` - The program to read the fields from.
        `infoFieldArr` - The fields that should be read.

    - #### MultipleFieldReader

          public MultipleFieldReader(Program program,
                             ProgramFieldType[] infoFieldArr,
                             java.lang.String fieldSeparator)

      Creates a new instance of MultipleFieldReader.
      Parameters:
        `program` - The program to read the fields from.
        `infoFieldArr` - The fields that should be read.
        `fieldSeparator` - The String to use for separating fields.

    - #### MultipleFieldReader

          public MultipleFieldReader(Program program,
                             ProgramFieldType[] infoFieldArr,
                             java.lang.String[] fieldSeparatorArr)

      Creates a new instance of MultipleFieldReader.
      Parameters:
        `program` - The program to read the fields from.
        `infoFieldArr` - The fields that should be read.
        `fieldSeparatorArr` - An array with field separators after each field (not matching indices are ignored).

  - ### Method Detail

    - #### read

          public int read(char[] cbuf,
                 int off,
                 int len)
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Reader`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)